- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- LogTypeSchema
- DetailsFieldSchema
- SemanticType
- EnumFieldSchema
- DetailsFieldSchemaAlternative
- DetailsFieldSchemaSet
- Try it!
Full name: projects.locations.instances.feedSourceTypeSchemas.logTypeSchemas.list
List all LogTypeSchemas compatible with a given FeedSourceType.
HTTP request
GET https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/logTypeSchemas Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of LogTypeSchemas. Format: Format: projects/{project}/locations/{location}/instances/{instance}/feedSourceTypeSchemas/{feedSourceType} |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of LogTypeSchemas to return. The service may return fewer than this value. If unspecified, at most 5000 LogTypeSchemas will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
pageToken |
A page token, received from a previous |
Request body
The request body must be empty.
Response body
logTypeSchemas.list response message.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"logTypeSchemas": [
{
object ( |
| Fields | |
|---|---|
logTypeSchemas[] |
LogTypeSchemas. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.logTypeSchemas.list
For more information, see the IAM documentation.
LogTypeSchema
Metadata that pertains to a log type in the context of Feeds, and is useful for building interfaces to construct valid Feed messages.
| JSON representation |
|---|
{ "name": string, "displayName": string, "logType": string, "readOnly": boolean, "supportingDocumentation": string, "detailsFieldSchemas": [ { object ( |
| Fields | |
|---|---|
name |
The resource name. Format: "projects/{project}/locations/{location}/instances/{instance}/feedSourceTypeSchemas/{feedSourceType}/logTypeSchemas/{logType}" |
displayName |
A human-readable name for this log type. |
logType |
The log type to be used in the |
readOnly |
Whether this log type schema represents a feed configuration that may exist, but should not be modified (created, edited, or deleted). |
supportingDocumentation |
A description that is displayed when users create or edit feeds. |
detailsFieldSchemas[] |
The schemas for |
detailsFieldSchemaAlternatives[] |
There are sets of fields which represent alternatives to one another. A user would only fill in one set of fields for any one alternative. |
DetailsFieldSchema
A schema for a particular details field on the Feed proto message.
| JSON representation |
|---|
{ "fieldPath": string, "displayName": string, "description": string, "type": enum ( |
| Fields | |
|---|---|
fieldPath |
The protocol buffer field path. For example, "details.azure_ad_context_settings.authentication.token_endpoint". |
displayName |
A human-readable name for this field. |
description |
A human-readable description for this field. |
type |
A type that represents both the encoding and the semantics of this field. |
enumFieldSchemas[] |
If a field has an enum type, this is the schema describing the possible values. |
required |
Whether this field must be specified to have a valid feed configuration. |
exampleInput |
For those fields with input requirements that aren't adequately expressed by the SemanticType it is often useful to supply an example input. |
readOnly |
For those fields which are read only. |
SemanticType
An enumeration of the possible types of a Feed.details field, where type implies both encoding and semantics. This is used in constructing a schema in order to construct a UI for creating well formed feeds.
| Enums | |
|---|---|
SEMANTIC_TYPE_UNSPECIFIED |
No semantic type. All fields must specify a semantic type. |
BOOL |
A boolean (with no special semantics). |
ENUM |
An enum (with no special semantics). |
KEY_VALUE_LIST |
A repeated field with a Message type where the Message contains two fields: key and value. |
MAP_STRING_STRING |
A map<string, string> (with no special semantics). |
STRING |
A string (with no special semantics). |
STRING_LIST |
A repeated string (with no special semantics). |
STRING_MULTILINE |
A string that may contain any whitespace characters (with no special semantics). |
STRING_MULTILINE_SECRET |
A string that may contain any whitespace characters and that encodes a secret. |
STRING_SECRET |
A string which encodes a secret. |
STRING_URI |
A string which encodes a URI. |
STRING_URI_LIST |
A repeated string which encodes URIs. |
EnumFieldSchema
A schema for a particular value, for a particular enum details field on the Feed proto message.
| JSON representation |
|---|
{ "value": string, "displayName": string, "description": string } |
| Fields | |
|---|---|
value |
The value to assign to the field. |
displayName |
A human-readable name for this value. |
description |
A human-readable description for this value. |
DetailsFieldSchemaAlternative
A collection of details field schema sets. The user must provide values for only one set of fields within an alternative.
| JSON representation |
|---|
{
"detailsFieldSchemaSets": [
{
object ( |
| Fields | |
|---|---|
detailsFieldSchemaSets[] |
The schemas for each alternative set of fields. |
DetailsFieldSchemaSet
A collection of schemas for related fields within details.
| JSON representation |
|---|
{
"displayName": string,
"description": string,
"detailsFieldSchemas": [
{
object ( |
| Fields | |
|---|---|
displayName |
A human-readable name for this collection of |
description |
A human-readable description for this collection of |
detailsFieldSchemas[] |
Schemas for the fields in this set. |